# typeface.py
# By Chris Proctor and _________

# Contains one function for each letter in the English alphabet. 
# Each function should draw its letter at a scale of `unit`, and then 
# return back to the same position and heading where it started. 

# Note: The `sqrt` function from math may be helpful--if you want to 
# move the turtle along the diagonal of a square with side length x, 
# the turtle should move a distance of sqrt(x)

from turtle import *
from math import sqrt
from math import atan
from math import degrees



def draw_letter_a(unit):
    outer_angle = degrees(atan((3*unit)/(8*unit))) #defines outer angle turns in degrees
    inner_angle = degrees(atan((7*unit)/(3*unit))) #defines inner angle turns in degrees
    outer_side = unit*sqrt(73) #length of outer part of letter A
    inner_side = unit*sqrt(58) #length of inner part of letter A
    left(90-outer_angle)
    forward(outer_side)
    right(90-outer_angle)
    forward(unit*2)
    right(90-outer_angle)
    forward(outer_side)
    right(90+outer_angle)
    forward(unit)
    right(inner_angle)
    forward(.43*inner_side)
    left(inner_angle)
    forward(3.4*unit)
    penup()
    back(3.4*unit)
    right(inner_angle)
    forward(.14*(inner_side))
    pendown()
    left(inner_angle)
    forward(2.6*unit)
    penup()
    back(2.6*unit)
    right(inner_angle)
    pendown()
    forward(.43*(inner_side))
    left(2*inner_angle)
    forward(.43*(inner_side))
    penup()
    forward(.14*(inner_side))
    pendown()
    forward(.43*(inner_side))
    right(inner_angle)
    forward(unit)
    right(180)



    
    

def draw_letter_b(unit):
    pass

def draw_letter_c(unit):
    pass

def draw_letter_d(unit):
    pass

def draw_letter_e(unit):
    forward(8*unit)
    left(90)
    forward(1.5*unit)
    left(90)
    forward(6.5*unit)
    right(90)
    forward(1.75*unit)
    right(90)
    forward(6.5*unit)
    left(90)
    forward(1.5*unit)
    left(90)
    forward(6.5*unit)
    right(90)
    forward(1.75*unit)
    right(90)
    forward(6.5*unit)
    left(90)
    forward(1.5*unit)
    left(90)
    forward(8*unit)
    left(90)
    forward(8*unit)
    left(90)

def draw_letter_f(unit):
    pass

def draw_letter_g(unit):
    pass

def draw_letter_h(unit):
    pass

def draw_letter_i(unit):
    pass

def draw_letter_j(unit):
    pass

def draw_letter_k(unit):
    pass

def draw_letter_l(unit):
    pass

def draw_letter_m(unit):
    pass

def draw_letter_n(unit):
    pass

def draw_letter_o(unit):
    pass

def draw_letter_p(unit):
    pass

def draw_letter_q(unit):
    pass

def draw_letter_r(unit):
    pass

def draw_letter_s(unit):
    pass

def draw_letter_t(unit):
    pass

def draw_letter_u(unit):
    pass

def draw_letter_v(unit):
    pass

def draw_letter_w(unit):
    pass

def draw_letter_x(unit):
    pass

def draw_letter_y(unit):
    pass

def draw_letter_z(unit):
    pass
